package com.isu.gaswellwatch.vo;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serial;
import java.io.Serializable;

/**
 * 区块页面返回对象 blocks
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
@EqualsAndHashCode
@ToString(callSuper = true)
public class BlockVO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

        /** 主键 */
        private Long id;

        /** 名称 */
        private String name;

        /** 描述 */
        private String details;

        /** 创建时间 */
        private String createTime;

        /** 更新时间 */
        private String updateTime;
    /** 关联部门 */
    private DepartmentVO department;

}
