package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DepartmentEditDTO {
    @NotNull(message = "id不能为空")
    private Long id;
    //名称
    @NotBlank(message = "名称不能为空")
    private String name;
    //描述
    private String description;
    //编号
    private String code;
}
